installed_packages = node['basic']['installed_packages']
uninstalled_packages = node['basic']['uninstalled_packages']

uninstalled_packages.each do |pkg|
  package pkg do
    action :purge
  end
end

installed_packages.each do |pkg|
  package pkg do
    action :install
  end
end
